package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/ChangeCertStateAction.class */
public class ChangeCertStateAction extends LifeJDBCAction {
    private String startTime;
    private String endTime;
    private String statue;
    private String opStatues;
    private final String SHOW_COMMON = "40";
    private final String SHOW_UPDATE = "41";
    private final String SHOW_PAST_UPDATE = "42";
    private final String SHOW_PAST_NOUPDATE = "43";

    public String execute(Context context) throws GENEException {
        String certStartTime = (String) context.get(this.startTime);
        String certEndTime = (String) context.get(this.endTime);
        String certStatus = (String) context.get(this.statue);
        if (certStartTime != null && certEndTime != null && "4".equalsIgnoreCase(certStatus)) {
            context.setDataValue(this.opStatues, getShowCertState(certStartTime, certEndTime));
            return "0";
        }
        return "0";
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.text.SimpleDateFormat, java.text.DateFormat] */
    /* JADX WARN: Type inference failed for: r0v2, types: [java.text.ParseException] */
    /* JADX WARN: Type inference failed for: r0v5, types: [java.util.Date] */
    private Date getDate(String dateStr, String dateFormat) {
        Date date = null;
        ?? simpleDateFormat = new SimpleDateFormat(dateFormat);
        try {
            simpleDateFormat = simpleDateFormat.parse(dateStr);
            date = simpleDateFormat;
        } catch (ParseException e) {
            simpleDateFormat.printStackTrace();
        }
        return date;
    }

    private String getShowCertState(String certStartTime, String certEndTime) {
        Calendar today = Calendar.getInstance();
        Calendar.getInstance().setTime(getDate(certStartTime, "yyyyMMdd"));
        Calendar endDate = Calendar.getInstance();
        endDate.setTime(getDate(certEndTime, "yyyyMMdd"));
        Calendar endDateBefore = Calendar.getInstance();
        endDateBefore.setTime(getDate(certEndTime, "yyyyMMdd"));
        endDateBefore.add(5, -30);
        Calendar endDateAfter = Calendar.getInstance();
        endDateAfter.setTime(getDate(certEndTime, "yyyyMMdd"));
        endDateAfter.add(5, 90);
        if (today.before(endDateBefore) || today.equals(endDateBefore)) {
            return "40";
        }
        if (today.after(endDateBefore) && (today.before(endDate) || today.equals(endDate))) {
            return "41";
        }
        if (today.after(endDate) && (today.before(endDateAfter) || today.equals(endDateAfter))) {
            return "42";
        }
        if (today.after(endDateAfter)) {
            return "43";
        }
        return "0";
    }

    public String getStartTime() {
        return this.startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStatue() {
        return this.statue;
    }

    public void setStatue(String statue) {
        this.statue = statue;
    }

    public String getOpStatues() {
        return this.opStatues;
    }

    public void setOpStatues(String opStatues) {
        this.opStatues = opStatues;
    }

    public static void main(String[] args) {
        ChangeCertStateAction ccsa = new ChangeCertStateAction();
        String status = ccsa.getShowCertState("20120101010101", "20140909010101");
        System.out.println(status);
    }
}
